%define anolis_release 5
Name:           perl-Sub-Uplevel
Summary:        Apparently run a function in a higher stack frame
Epoch:          1
Version:        0.2800
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Sub-Uplevel
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/Sub-Uplevel-%{version}.tar.gz 
BuildArch:      noarch
# Build:
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.17
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.88
# Optional:
BuildRequires:  perl(CPAN::Meta) >= 2.120900
# Explicit Run-time:
Requires:       perl(Carp)

# Remove bogus perl(DB) provide
%global __provides_exclude ^perl\\(DB\\)$

%description
Like Tcl's uplevel() function, but not quite so dangerous. The idea is
just to fool caller(). All the really naughty bits of Tcl's uplevel()
are avoided.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Sub-Uplevel-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc examples
%{perl_vendorlib}/Sub/
%{_mandir}/man3/Sub::Uplevel.3*

%files doc
%doc Changes CONTRIBUTING.mkdn README

%changelog
* Mon Jan 30 2023 Funda Wang <fundawang@yeah.net> - 1:0.2800-5
- Import package for anolis 23
